Issue 93754 - The application crashes when the scaling of user interface is adjusted after cancelling "text to columns"
Summary: The application crashes when the scaling of user interface is adjusted after ...
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: OOO300m5
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: kla
QA Contact: issues@sc
URL:
Keywords: crash
Depends on:
Blocks: 84291
  Show dependency tree
 
Reported: 2008-09-11 08:24 UTC by gaojingmei
Modified: 2013-08-07 15:14 UTC (History)
7 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description gaojingmei 2008-09-11 08:24:54 UTC
1.Create a new spreadsheet, input some data in any column, then select the 
column.
2.Click "Data" in toolbar, select "Text to Columns", then click cancel button.
3.Click "Tools" in toolbar,select Options->OpenOffice.org->View, adjust the 
scaling of user interface, then click "OK" button.
4.The application crashes.
Comment 1 yonggang.mao 2008-09-11 08:34:30 UTC
Verified in OOo2.4_m247 , OOodev300_m2 and OOo300_m5.
Comment 2 ooo 2008-09-11 10:27:08 UTC
Confirmed using DEV300_m29 unxlngi6. Unfortunately with a back trace that didn't
tell me much, maybe better constellation on another system. Does not happen
after having attempted to open a CSV file and canceled that, which uses the same
dialog.

@dr: maybe this is one for you, as the CSV dialog's maintainer?
Comment 3 niklas.nebel 2008-09-11 11:27:40 UTC
The dialog just isn't deleted in ScCellShell::ExecuteDB.
Comment 4 daniel.rentz 2008-09-11 11:50:12 UTC
fixed in cws DEV300/dr63 (OOo 3.1)
Comment 5 daniel.rentz 2008-09-18 11:01:23 UTC
back to QA
Comment 6 kla 2008-09-23 11:02:35 UTC
Seen ok in CWS dr63 -> verified
Comment 7 kla 2008-11-07 10:49:47 UTC
Seen ok in current master -> closed
Comment 8 amy2008 2008-12-31 02:40:59 UTC
CC